Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454758 - Software Repository's "MD5" and "SHA-256" fields allow more than 32 and 64 chars
Summary: Software Repository's "MD5" and "SHA-256" fields allow more than 32 and 64 chars
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Product Mappings
Version: 1.3.8
Hardware: All
OS: All
medium
low
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 21:28 UTC by Mike Amburn
Modified: 2011-01-31 17:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-31 17:40:37 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-09 21:28:38 UTC
the MD5 field should only allow 32 chars (otherwise it won't be a valid MD5), similarly, the SHA-256 field should only allow 64 chars. It would be an easy way to catch errors if the UI would only allow the user to enter the allowed number of chars and no more.

----
Data relocated from Jira (JBNET-1838)

Comment 1 John Sanda 2008-09-04 14:09:43 UTC
I think we ought to implement the validation in the application layer as well to make things robust. We will need it there anyway if we every expose this functionality as a service as some have requested.

Comment 2 David Spalding 2011-01-31 17:40:37 UTC
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.

Comment 3 David Spalding 2011-01-31 17:48:25 UTC
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.


Note You need to log in before you can comment on or make changes to this bug.